Subject: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion

From: Gregory Heytings <[email-masked]>
Date: Wed, 27 Oct 2021 08:05:31 +0000

>> The second condition could perhaps be reworded as "Some completion 
>> styles, like 'substring' or 'flex', require to type at least one 
>> character after the trailing ':' *when they come first in the 
>> completion-styles list*."
>
> Just wondering: wouldn't be enough to change icomplete--fido-mode-setup 
> to use:
>
> (setq-local completion-styles '(flex basic))
>
> Instead of:
>
> (setq-local completion-styles '(flex))
>
> As it is doing currently?
>

It depends what you mean by "being enough".  That setting would be better, 
but you would still have to type the first character of the hostname. 
With that setting and my patch, everything would work as you would expect, 
namely, you wouldn't have to type the first character of the hostname 
anymore.